#include "display_menu_1.h"

// Author: Steve Talbot

display_menu_1:: display_menu_1(){
}

display_menu_1:: ~display_menu_1(){
}

bool display_menu_1:: display_menu( Data* data_ ){

	// Display menu choices to user:
	// balance, deposit, withdraw, activate / deactivate, logout ..

	cout << endl;
	cout << "==================================" << endl;
	cout << "          MENU SELECTIONS" << endl;
	cout << "==================================" << endl;
	cout << "1) Balance" << endl;
	cout << "2) Deposit" << endl;
	cout << "3) Withdraw" << endl;

	if( data_->getCurrentAccountInfo()->getIsActive() == false ){

		cout << "4) Activate Account" << endl;

	} else {

		cout << "4) Deactivate Account" << endl;

	}

	cout << "5) Current State" << endl;
	cout << "6) Logout" << endl;
	cout << endl;

	// reset "tempPin" ..
	data_->setTempPin( -1 );

	return true;

}
